Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA_var Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA_var:

[legend]
Collaboration diagram for PortableServer::POA_var:

[legend]
List of all members.

## Public Methods
| POA_var (void)
| POA_var (POA_ptr p)
| POA_var (const POA_var &)
| ~POA_var (void)
POA_var & | operator= (POA_ptr)
POA_var & | operator= (const POA_var &)
POA_ptr | operator-> (void) const
| operator const POA_ptr & () const
| operator POA_ptr & ()
POA_ptr | in (void) const
POA_ptr & | inout (void)
POA_ptr & | out (void)
POA_ptr | _retn (void)
POA_ptr | ptr (void) const
## Static Public Methods
POA_ptr | tao_duplicate (POA_ptr)
void | tao_release (POA_ptr)
POA_ptr | tao_nil (void)
POA_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| POA_var (const TAO_Base_var &rhs)
POA_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
POA_ptr | ptr_

## Constructor & Destructor Documentation

PortableServer::POA_var::POA_var | ( | void |  | ) |

PortableServer::POA_var::POA_var | ( | POA_ptr | p | ) | `[inline]`

PortableServer::POA_var::POA_var | ( | const POA_var & |  | ) |

PortableServer::POA_var::~POA_var | ( | void |  | ) |

PortableServer::POA_var::POA_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

POA_ptr PortableServer::POA_var::_retn | ( | void |  | ) |

POA_ptr PortableServer::POA_var::in | ( | void |  | ) | const

POA_ptr& PortableServer::POA_var::inout | ( | void |  | ) |

PortableServer::POA_var::operator const POA_ptr & | ( |  | ) | const

PortableServer::POA_var::operator POA_ptr & | ( |  | ) |

POA_ptr PortableServer::POA_var::operator-> | ( | void |  | ) | const

POA_var& PortableServer::POA_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

POA_var& PortableServer::POA_var::operator= | ( | const POA_var & |  | ) |

PortableServer::POA_var & PortableServer::POA_var::operator= | ( | POA_ptr | p | ) |

POA_ptr& PortableServer::POA_var::out | ( | void |  | ) |

PortableServer::POA_ptr PortableServer::POA_var::ptr | ( | void |  | ) | const

POA_ptr PortableServer::POA_var::tao_duplicate | ( | POA_ptr |  | ) | `[static]`

POA_ptr PortableServer::POA_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

POA_ptr PortableServer::POA_var::tao_nil | ( | void |  | ) | `[static]`

void PortableServer::POA_var::tao_release | ( | POA_ptr |  | ) | `[static]`

CORBA::Object* PortableServer::POA_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

POA_ptr PortableServer::POA_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp